---
name: cli-chat
description: Send chat completions, stream responses, and start an interactive REPL session from the CLI. Supports all OmniRoute providers, combo routing, and system prompt configuration.
---
<!-- generated by src/lib/agentSkills/generator.ts; manual edits will be overwritten -->

## Overview

Send chat completions, stream responses, and start an interactive REPL session from the CLI. Supports all OmniRoute providers, combo routing, and system prompt configuration.

## Quick install

```bash
npm install -g omniroute   # or: npx omniroute
omniroute --version
```

## Subcommands

### `chat [prompt]`

**Flags:**

- `--file <path>`
- `--stdin`
- `-s, --system <prompt>`
- `-m, --model <id>`
- `--max-tokens <n>`
- `--temperature <t>`
- `--top-p <p>`
- `--reasoning-effort <level>`
- `--thinking-budget <tokens>`
- `--combo <name>`
- `--responses-api`
- `--stream`
- `--no-history`

**Example:**

```bash
omniroute chat [prompt]
```

### `repl`

**Flags:**

- `-m, --model <id>`
- `--combo <name>`
- `-s, --system <prompt>`
- `--resume <session>`

**Example:**

```bash
omniroute repl
```

### `stream [prompt]`

**Flags:**

- `--file <path>`
- `--stdin`
- `-m, --model <id>`
- `-s, --system <prompt>`
- `--combo <name>`
- `--max-tokens <n>`
- `--responses-api`
- `--raw`
- `--debug`
- `--save <path>`

**Example:**

```bash
omniroute stream [prompt]
```
